!#************************************************************************
!# E.S.O. - 3.6m Upgrade  project
!#
!# who        when      what
!# ---------- --------  ---------------------------------------------
!# fpatat     29/07/98  created
!# pleisy     14/08/98  modification to implement EXTStatImage before
!# ebarrios   13/12/99  klaus Banse modification
!#************************************************************************
!#   NAME
!#   EXTLoadImage
!# 
!#   SYNOPSIS
!#   EXTLoadImage imagename Low_cut High_cut X_scale Y_scale X_center Y_center
!# 
!#   DESCRIPTION
!#   Load last acquired image on the MIDAS display 
!#    
!#.VERSION
!# 100317	last modif
!#------------------------------------------------------------------------
! 
defi/par P1 ? I	"Frame name :"
defi/par P2 ? N	"Low cut :"
defi/par P3 ? N	"High cut :"
defi/par P4 ? N	"X scale :"
defi/par P5 ? N	"Y scale :"
defi/par P6 ? N	"X center :"
defi/par P7 ? N	"Y center :"

write/out "image: {P1} "

defi/loc level/R/1/2	{P2},{P3}
defi/loc zoom/R/1/2	{P4},{P5}
defi/loc centr/R/1/2	{P6},{P7}


read/key mid$sess

if dazdevr(10) .eq. -1 then
  write/out "creating display 0 size = 800x800"
  create/display 0 800,800,200,500
endif

load/ima {P1} ? {zoom(1)},{zoom(2)} {centr(1)},{centr(2)} {level(1)},{level(2)}

clear/chan OV
show/chan

