!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++   
!
!.IDENTIFICATION
!               EXTprint.prg   P.Le Saux - MAY94
!
!.PURPOSE       print stuff
!
!.VERSION
! 940512        creation P.Le Saux
! 100413        last modif
!
! ---------------------------------------------------------------
!
define/parameter p1 ? C "period:"
assign/print file seeing.dat 
print/table seeing
create/graph 0
select/table seeing all
select/table seeing :see1 .gt. 0.
select/table seeing selected .and. :xsee .lt. 2.0 
write/keyw icorr 397
@@ kcompare prnt010:icorr outputi 1,1
! 
define/local nobj/i/1/1 {outputi(1)}
define/local ef/r/1/1 0.
define/local pr/r/1/1 0.
stat/tab seeing :xsee
define/local mean/r/1/1 0.
mean = outputr(3)
define/local sig/r/1/1 0.
sig = outputr(4)
define/local max/r/1/1 0.
max = outputr(2)
define/local min/r/1/1 0.
min = outputr(1)
define/local diff/r/1/1 0.
diff = max - min
ef = 0.4 + 0.1 
pr = 1.8 - 0.2 
! 
set/graphics colour=1 stype=1 ssize=2 lwidth=3 ltype=0
set/graphics xaxis=0.3,1.3 yaxis=0.3,2.0
plot/table seeing  :see1 :xsee
set/graphics color=4
! 
read/key P1
label/graphics "Period: {p1}" 0.5,1.9
set/format f7.3
set/graphics colour=2
overplot/table seeing :see1 :see2
stat/tab seeing :see1
label/graph "asm: {outputr(3)} +/- {outputr(4)}" 0.6,1.8
copy/table seeing see
regress/poly see :xsee :see1 1
save/regress see fit
select/tab see all
compu/regress see :fit = fit
write/keyw dcorr 0.411073,0.70041343
@@ kcompare prnt020:dcorr outputd 1,2 0.00005

set/grap stype=0 colour=4 ltype=1 lwidth=4
over/tab see :see1 :fit
ef = ef + 0.1 
label/graph "efosc: {mean} +/- {sig}" 0.6,1.7
label/graph "{nobj} frames selected" 0.6,1.6
copy/graph postscript
$mv postscript.ps seeing.ps
! 
!$lpr -P lptritz3  seeing.ps  
! 
$ps2pdf seeing.ps seeing-{P1}.pdf
write/out "seeing-{P1}.pdf created"
set/graphics colour=1 stype=1 ssize=2 lwidth=3 ltype=0
write/out "end EXTprint"
write/out "start EXTshowSeeing"
@@ EXTshowSeeing {P1}
